Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vutbr.checkers.protocol
Class ProtocolQueue

    java.lang.Object
      vutbr.checkers.protocol.ProtocolQueue

    public class ProtocolQueue

extends java.lang.Object

Trida ProtocolQueue

Author:
  Ondrej Novy

Constructor Summary
`ProtocolQueue()` Konstruktor

Method Summary
`void` | `add(java.lang.String s)` Prida do fronty retezec
`java.lang.String` | `next()` Vrati retezec na zacatku fronty
`int` | `size()` Vrati delku fronty
`void` | `waitEmpty()` Vycka na vyprazdneni fronty

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProtocolQueue

    public ProtocolQueue()

  Konstruktor

Method Detail

### add

    public void add(java.lang.String s)

  Prida do fronty retezec

  Parameters:
    `s` - Retezec pro pridani

### next

    public java.lang.String next()

  Vrati retezec na zacatku fronty

  Returns:
    s Retezec

### size

    public int size()

  Vrati delku fronty

  Returns:
    Delka fronty

### waitEmpty

    public void waitEmpty()

  Vycka na vyprazdneni fronty

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD